Description

This function changes the contents of a PHP version's php.ini file.


  • This document only applies to systems that run EasyApache 4.
  • Due to the limited field length of HTTP GET method calls, we strongly recommend that you use the HTTP POST method.

Examples 




https://hostname.example.com:2087/cpsess##########/json-api/php_ini_set_content?api.version=1&content=%5BPHP%5D%0A%3B%20About%20php.ini%0A%3B%20php.ini%20is%20responsible%20for%20configuring%20many%20of%20the%20aspects%20of%20PHP's%20behavior.%0Apcre.backtrack_limit%3D100000&version=ea-php70




https://hostname.example.com:2087/cpsess##########/xml-api/php_ini_set_content?api.version=1&content=%5BPHP%5D%0A%3B%20About%20php.ini%0A%3B%20php.ini%20is%20responsible%20for%20configuring%20many%20of%20the%20aspects%20of%20PHP's%20behavior.%0Apcre.backtrack_limit%3D100000&version=ea-php70




whmapi1 php_ini_set_content content=%5BPHP%5D%0A%3B%20About%20php.ini%0A%3B%20php.ini%20is%20responsible%20for%20configuring%20many%20of%20the%20aspects%20of%20PHP's%20behavior.%0Apcre.backtrack_limit%3D100000 version=ea-php70



{
   "data":{
   },
   "metadata":{
      "version":1,
      "reason":"Ok",
      "result":1,
      "command":"php_ini_set_content"
   }
}




<result>
    <data/>
    <metadata>
        <version>1</version>
        <reason>Ok</reason>
        <result>1</result>
        <command>php_ini_set_content</command>
    </metadata>
</result>



Parameters

ParameterTypeDescriptionPossible valuesExample

content

string

Required

The contents of the php.ini file that you wish to change.

Any valid URI-encoded php.ini file contents.


%5BPHP%5D%0D%0A%3B+About+php.ini%0D%0A%3B+php.ini+is+responsible+for+configuring+many+of+the+aspects+of+PHP%27s+behavior.%0D%0Apcre.backtrack_limit%3D100000


versionstring

Required

The version of PHP for which you wish to change the php.ini file.

ea-php70

Returns

This function only returns metadata.